Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
eZPerson Class Reference

## Public Member Functions
| __construct ( $id="")
| store ()
| get ( $id)
| getByUserID ( $id)
| getAllCount ( $search_types="", $cond="all")
| getAll ( $search_types="", $limit_index=0, $limit=1, $cond="all")
| addresses ()
| addAddress ( $address)
| removeAddresses ()
| phones ( $personID=false)
| addPhone ( $phone)
| removePhones ()
| onlines ()
| removeOnlines ()
| emailAddress ()
| workPhone ()
| faxPhone ()
| hasTitle ( $companyID)
| title ( $companyID)
| addOnline ( $online)
| user ()
| addUser ( $user)
| setFirstName ( $value)
| setLastName ( $value)
| setComment ( $value)
| setContact ( $value)
| setBirthDay ( $value)
| setNoBirthDay ()
| id ()
| name ()
| firstName ()
| lastName ()
| fullName ()
| comment ()
| contact ()
| projectState ()
| setProjectState ( $value, $id=false)
| birthDate ()
| hasBirthDate ()
| removeCompanies ( $id=false)
| setImage (&$image, $id=false)
| removeImage ( $id=false)

## Static Public Member Functions
static | delete ( $id=false)
static | search ( $query)
static | companies ( $id=false, $as_object=true)
static & | image ( $id=false)

## Public Attributes
| $ID
| $FirstName
| $LastName
| $BirthDate
| $ContactType
| $Comment
| $ImageID

## Detailed Description

! eZContact eZPerson handles a persons belonging in contacts information.

This class handles persons in the eZ contact database.

Definition at line 42 of file ezperson.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZPerson::__construct | ( |  | $id = `""` | ) |

Constructs a new eZPerson object.

If $id is set, the object's values are fetched from the database.

Definition at line 50 of file ezperson.php.

References $id, and $ID.

## Member Function Documentation

## ◆ addAddress()

eZPerson::addAddress | ( |  | $address | ) |

Adds an address to the current Person.

Definition at line 478 of file ezperson.php.

References $address, $count, $db, $res, $ret, eZDB\finish(), and eZDB\globalDatabase().

## ◆ addOnline()

eZPerson::addOnline | ( |  | $online | ) |

Adds an online to the current Person.

Definition at line 761 of file ezperson.php.

References $count, $db, $res, $ret, $url, eZDB\finish(), and eZDB\globalDatabase().

## ◆ addPhone()

eZPerson::addPhone | ( |  | $phone | ) |

Adds an phone to the current Person.

Definition at line 555 of file ezperson.php.

References $count, $db, $res, $ret, eZDB\finish(), and eZDB\globalDatabase().

## ◆ addresses()

eZPerson::addresses | ( |  | ) |

Returns the address that belong to this eZPerson object.

Definition at line 450 of file ezperson.php.

References $db, $ID, and eZDB\globalDatabase().

## ◆ addUser()

eZPerson::addUser | ( |  | $user | ) |

Adds a user to the current Person.

Definition at line 819 of file ezperson.php.

References $count, $db, $res, $ret, $user, $user_array, $userID, eZDB\finish(), and eZDB\globalDatabase().

## ◆ birthDate()

eZPerson::birthDate | ( |  | ) |

Returns the birthday of this person.

Definition at line 1001 of file ezperson.php.

References $BirthDate.

## ◆ comment()

eZPerson::comment | ( |  | ) |

Returns the comment for this person.

Definition at line 939 of file ezperson.php.

References $Comment.

## ◆ companies()

static eZPerson::companies | ( |  | $id = `false`,
|  |  | $as_object = `true`
| ) |  |
| static

Returns an array of companies this person is related to.

Definition at line 1028 of file ezperson.php.

References $db, $id, $ret, $row, and eZDB\globalDatabase().

## ◆ contact()

eZPerson::contact | ( |  | ) |

Returns the contact for this person.

Definition at line 947 of file ezperson.php.

References $ContactType.

## ◆ delete()

static eZPerson::delete | ( |  | $id = `false` | ) |
| static

Deletes an eZPerson from the database.

Definition at line 133 of file ezperson.php.

References $db, $id, $ID, $order, $res, eZDB\finish(), eZDB\globalDatabase(), and setProjectState().

## ◆ emailAddress()

eZPerson::emailAddress | ( |  | ) |

Returns the email address of the person, returns false if none exists.

Definition at line 655 of file ezperson.php.

References onlines().

## ◆ faxPhone()

eZPerson::faxPhone | ( |  | ) |

Returns the fax phone of the person, returns false if none exists.

Definition at line 695 of file ezperson.php.

References phones().

## ◆ firstName()

eZPerson::firstName | ( |  | ) |

Returns the first name of the person.

Definition at line 915 of file ezperson.php.

References $FirstName.

Referenced by name().

## ◆ fullName()

eZPerson::fullName | ( |  | ) |

Returns the first name and last name of the person concated together.

Definition at line 931 of file ezperson.php.

References $LastName.

## ◆ get()

eZPerson::get | ( |  | $id | ) |

Definition at line 206 of file ezperson.php.

References $db, $id, and eZDB\globalDatabase().

## ◆ getAll()

eZPerson::getAll | ( |  | $search_types = `""`,
|  |  | $limit_index = `0`,
|  |  | $limit = `1`,
|  |  | $cond = `"all"`
| ) |  |

Fetches all persons in the database.

Definition at line 335 of file ezperson.php.

References $db, $limit, $limit_array, $query, and eZDB\globalDatabase().

## ◆ getAllCount()

eZPerson::getAllCount | ( |  | $search_types = `""`,
|  |  | $cond = `"all"`
| ) |  |

Definition at line 251 of file ezperson.php.

References $db, $persons, $query, and eZDB\globalDatabase().

## ◆ getByUserID()

eZPerson::getByUserID | ( |  | $id | ) |

Definition at line 234 of file ezperson.php.

References $db, $query, and eZDB\globalDatabase().

## ◆ hasBirthDate()

eZPerson::hasBirthDate | ( |  | ) |

Returns true if a birthday is present.

Definition at line 1009 of file ezperson.php.

## ◆ hasTitle()

eZPerson::hasTitle | ( |  | $companyID | ) |

Returns the title of the user related to a given company ($companyID) \obsolete

Definition at line 716 of file ezperson.php.

References $db, and eZDB\globalDatabase().

## ◆ id()

eZPerson::id | ( |  | ) |

Returns the ID of the person.

Definition at line 899 of file ezperson.php.

References $ID.

## ◆ image()

static& eZPerson::image | ( |  | $id = `false` | ) |
| static

Returns the logo image of the company as a eZImage object.

Definition at line 1100 of file ezperson.php.

References $db, $id, $ret, and eZDB\globalDatabase().

## ◆ lastName()

eZPerson::lastName | ( |  | ) |

Returns the last name of the person.

Definition at line 923 of file ezperson.php.

References $LastName.

Referenced by name().

## ◆ name()

eZPerson::name | ( |  | ) |

Returns the first name and the last name of the person.

Definition at line 907 of file ezperson.php.

References firstName(), and lastName().

## ◆ onlines()

eZPerson::onlines | ( |  | ) |

Returns the onlines that belong to this eZPerson object.

Definition at line 611 of file ezperson.php.

References $db, $ID, and eZDB\globalDatabase().

Referenced by emailAddress().

## ◆ phones()

eZPerson::phones | ( |  | $personID = `false` | ) |

Returns the phones that belong to this eZPerson object.

Definition at line 528 of file ezperson.php.

References $db, $ID, and eZDB\globalDatabase().

Referenced by faxPhone(), and workPhone().

## ◆ projectState()

eZPerson::projectState | ( |  | ) |

Returns the project state of this person.

Definition at line 955 of file ezperson.php.

References $db, $ret, and eZDB\globalDatabase().

## ◆ removeAddresses()

eZPerson::removeAddresses | ( |  | ) |

Remove all addresses to the current Person.

Definition at line 510 of file ezperson.php.

References $address, $db, $id, $res, eZAddress\delete(), eZDB\finish(), and eZDB\globalDatabase().

## ◆ removeCompanies()

eZPerson::removeCompanies | ( |  | $id = `false` | ) |

Definition at line 1014 of file ezperson.php.

References $db, $id, $ID, $res, eZDB\finish(), and eZDB\globalDatabase().

## ◆ removeImage()

eZPerson::removeImage | ( |  | $id = `false` | ) |

Deletes the image for the company.

Definition at line 1125 of file ezperson.php.

References $db, $id, $ID, $res, eZDB\finish(), and eZDB\globalDatabase().

## ◆ removeOnlines()

eZPerson::removeOnlines | ( |  | ) |

Remove all onlines to the current Person.

Definition at line 635 of file ezperson.php.

References $db, $id, $res, eZDB\finish(), and eZDB\globalDatabase().

## ◆ removePhones()

eZPerson::removePhones | ( |  | ) |

Remove all phones to the current Person.

Definition at line 592 of file ezperson.php.

References $db, $id, $res, eZPhone\delete(), eZDB\finish(), and eZDB\globalDatabase().

## ◆ search()

static eZPerson::search | ( |  | $query | ) |
| static

Fetches all persons whith first name or last name equal to the query string.

Definition at line 426 of file ezperson.php.

References $db, $query, and eZDB\globalDatabase().

## ◆ setBirthDay()

eZPerson::setBirthDay | ( |  | $value | ) |

Set the birth day of this object to $value.

Definition at line 883 of file ezperson.php.

## ◆ setComment()

eZPerson::setComment | ( |  | $value | ) |

Set the comment of this object to $value.

Definition at line 867 of file ezperson.php.

## ◆ setContact()

eZPerson::setContact | ( |  | $value | ) |

Set the contact for this object to $value.

Definition at line 875 of file ezperson.php.

## ◆ setFirstName()

eZPerson::setFirstName | ( |  | $value | ) |

Set the first name of this object to $value.

Definition at line 851 of file ezperson.php.

## ◆ setImage()

eZPerson::setImage | ( | & | $image,
|  |  | $id = `false`
| ) |  |

Sets the logo image for the company.

The argument must be a eZImage object.

Definition at line 1062 of file ezperson.php.

References $db, $id, $ID, $image, $res, eZDB\finish(), and eZDB\globalDatabase().

## ◆ setLastName()

eZPerson::setLastName | ( |  | $value | ) |

Set the last name of this object to $value.

Definition at line 859 of file ezperson.php.

## ◆ setNoBirthDay()

eZPerson::setNoBirthDay | ( |  | ) |

Sets the person to have no birthday

Definition at line 891 of file ezperson.php.

## ◆ setProjectState()

eZPerson::setProjectState | ( |  | $value,
|  |  | $id = `false`
| ) |  |

Returns the project state of this person.

Definition at line 975 of file ezperson.php.

References $db, $id, $ID, $res, eZDB\finish(), and eZDB\globalDatabase().

Referenced by delete().

## ◆ store()

eZPerson::store | ( |  | ) |

Stores a person to the database.

Definition at line 63 of file ezperson.php.

References $db, $res, eZDB\finish(), and eZDB\globalDatabase().

## ◆ title()

eZPerson::title | ( |  | $companyID | ) |

Returns the title of the user related to a given company ($companyID) \obsolete

Definition at line 733 of file ezperson.php.

References $db, $ret, and eZDB\globalDatabase().

## ◆ user()

eZPerson::user | ( |  | ) |

Returns the user that belong to this eZPerson object.

Definition at line 799 of file ezperson.php.

References $db, $user_array, and eZDB\globalDatabase().

## ◆ workPhone()

eZPerson::workPhone | ( |  | ) |

Returns the work phone of the person, returns false if none exists.

Definition at line 675 of file ezperson.php.

References phones().

## Member Data Documentation

## ◆ $BirthDate

eZPerson::$BirthDate

Definition at line 1141 of file ezperson.php.

Referenced by birthDate().

## ◆ $Comment

eZPerson::$Comment

Definition at line 1143 of file ezperson.php.

Referenced by comment().

## ◆ $ContactType

eZPerson::$ContactType

Definition at line 1142 of file ezperson.php.

Referenced by contact().

## ◆ $FirstName

eZPerson::$FirstName

Definition at line 1139 of file ezperson.php.

Referenced by firstName().

## ◆ $ID

eZPerson::$ID

Definition at line 1138 of file ezperson.php.

Referenced by __construct(), addresses(), delete(), id(), onlines(), phones(), removeCompanies(), removeImage(), setImage(), and setProjectState().

## ◆ $ImageID

eZPerson::$ImageID

Definition at line 1144 of file ezperson.php.

## ◆ $LastName

eZPerson::$LastName

Definition at line 1140 of file ezperson.php.

Referenced by fullName(), and lastName().

The documentation for this class was generated from the following file:

- ezperson.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.